%[mat3D_s, jours_s]=choix_mois(mat3D,jours,mois_deb,mois_fin )

%+
%
% .. _choix_mois.m:
% 
% ============
% choix_mois.m
% ============
%
% Pour un fichier mat3D(lat, lon, jours), on selectionne tous les mois
% compris entre mois_deb et mois_fin inclus. ex: pour prendre d'avril 
% aout, on choisit mois_deb=4,mois_fin=8 , de decembre a fevrier:
% mois_deb=12,mois_fin=2, toute l'annee (par defaut): mois_deb=1,mois_fin=12   
%
% EVOLUTIONS
% ==========
%
% $Id: choix_mois.m 325 2011-08-04 15:30:01Z pinsard $
%
% $URL$
%
% - fplod 20110124T154950Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * add minimal rest header
%
%-

usage='[mat3D_s, jours_s]=choix_mois(mat3D,jours,mois_deb,mois_fin );
if(nargin<3)
 mois_deb=1;
end
if(nargin<4)
 mois_fin=12;   
end 
%
if nargout ~= nargout(mfilename)
   disp(['Incorrect number of output arguments ' num2str(nargout)]);
   error(usage);
end

dd= datevec(jours);
i=dd(:,2);
if(mois_deb<=mois_fin )
  i_s=find(i>=mois_deb&i<=mois_fin);
else
  i_s=find(i>=mois_deb|i<=mois_fin);  
end
jours_s=jours(i_s);
mat3D_s=mat3D(:,:,i_s);
