; docformat = 'rst'
;+
; .. _define_amsua_struct.pro:
;
; =======================
; define_amsua_struct.pro
; =======================
;
; Define AMSU-B Level 1C data structure
; Ralf Bennartz 2 August 1999
;
; :Param:
;   one_scana
;
;   flag1
;
; :Restrictions:
;
; :Returns:
;
; :Uses:
;
; :Pre:
;
; :Post:
;
; :Todo:
;
; :Examples:
;
; ::
;
;    define_amsua_header_struct
;    define_amsua_struct, one_scana, flag1
;    print, one_scana
;    print, flag1
;
; :History:
;
;  $Id: define_amsua_struct.pro 235 2011-05-16 15:52:50Z pinsard $
;
; - pinsard 2011-05-16T13:09:29Z loholt1.ipsl.polytechnique.fr (Linux)
;
;   * compile opts
;
;-
PRO define_amsua_struct,one_scana, flag1
;
compile_opt idl2, strictarrsubs
;
COMMON amsua_header,ama_head
COMMON amsua_data  ,ama_scan
;
anchan = 15
anfovs = 30
;
one_scana ={ one_scana,$
            scnlin     : 0L                         ,   $
            scnlinyr   : 0L                         ,   $
            scnlindy   : 0L                         ,   $
            scnlintime : 0L                         ,   $
            qualind    : 0L                         ,   $
            scanqual   : 0L                         ,   $
            chanqual   : LONARR(anchan)             ,   $
            instrtemp1 : 0L                         ,   $
            instrtemp2 : 0L                         ,   $
            spare1     : LONARR(2)                  ,   $
            latlon     : LONARR(2,anfovs)           ,   $
            angles     : LONARR(4,anfovs)           ,   $
            scalti     : 0L                         ,   $
            spare2     : LONARR(2)                  ,   $
            btemps     : LONARR(anchan,anfovs)      ,   $
            dataqual   : LONARR(anfovs)             ,   $
            filler     : LONARR(80)                     $
     }
if (ama_head.h_scnlin gt 0) then begin
   flag1=1
   ama_scan = REPLICATE(one_scana,ama_head.h_scnlin)
endif else begin
   flag1=0
endelse

END
