; docformat = 'rst'
;+
; .. _define_amsub_struct.pro:
;
; =======================
; define_amsub_struct.pro
; =======================
;
; Define AMSU-B Level 1C data structure
; Ralf Bennartz 21 May 1999
;
; :Restrictions:
;
; :Pre:
;
; :Post:
;
; :Todo:
;
; :Examples:
;
; ::
;
;    define_amsub_header_struct
;    define_amsub_struct, one_scanb, flag2
;    print, one_scanb
;    print, flag2
;
; :History:
;
;  $Id: define_amsub_struct.pro 235 2011-05-16 15:52:50Z pinsard $
;
; - pinsard 2011-05-16T13:09:29Z loholt1.ipsl.polytechnique.fr (Linux)
;
;   * compile opts
;
; - fplod 20100701T130054Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
PRO define_amsub_struct,one_scanb, flag2
;
compile_opt idl2, strictarrsubs
;
COMMON amsub_header,amb_head
COMMON amsub_data  ,amb_scan
;
bnchan =  5
bnfovs = 90
one_scanb ={one_scanb, $
            scnlin     : 0L                         ,   $
            scnlinyr   : 0L                         ,   $
            scnlindy   : 0L                         ,   $
            scnlintime : 0L                         ,   $
            qualind    : 0L                         ,   $
            scanqual   : 0L                         ,   $
            chanqual   : LONARR(bnchan)             ,   $
            instrtemp  : 0L                         ,   $
            spare1     : LONARR(2)                  ,   $
            latlon     : LONARR(2,bnfovs)           ,   $
            angles     : LONARR(4,bnfovs)           ,   $
            scalti     : 0L                         ,   $
            spare2     : LONARR(2)                  ,   $
            btemps     : LONARR(Bnchan,Bnfovs)      ,   $
            dataqual   : LONARR(Bnfovs)             ,   $
            filler     : LONARR(55)                     $
     }
if (amb_head.h_scnlin gt 0) then begin
   flag2=1
   amb_scan = REPLICATE(one_scanb,amb_head.h_scnlin)
endif else begin
   flag2=0
endelse
END
