; docformat = 'rst'
;+
;
; .. _figure11.pro:
;
; ============
; figure11.pro
; ============
;
; plot figure 11 of paper1
;
; :Categories: figure
;
; :Uses:
;  :ref:`hovmuller.pro`
;
; :Restrictions:
;  - Requires SAXO
;
; :Pre:
;  :ref:`varamma_profile.sh`
;
; ++ OLR
; ++ ECMWF
;
; :Post:
;  :ref:`varamma_profile.sh`
;
;  ++ jpg is now present in ++
;
; :Todo:
;
;
; :Examples:
;
; To produce a PNG file :
;
; ::
;
;
;    figure11
;
; :History:
;
;  $Id: figure11.pro 215 2011-04-26 10:33:10Z pinsard $
;
; - fplod 2009-05-14T15:38:53Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * taking into account :ref:`hovmuller.pro` new timebox keyword
;
; - fplod 2008-08-11T15:56:10Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * creation of header not yet ok, just the idea
;
;-
pro figure11
;
compile_opt idl2, strictarrsubs
;
hovmuller, 'ECMWF', 'msl',             ubox=[-30.,+40.,-30.,45.], small=[2,1,2]
hovmuller, 'ECMWF', 't2',       timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,1,2],/noerase
hovmuller, 'ECMWF', 'geopt700', timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,1,2],/noerase
hovmuller, 'ECMWF', 'rh700',    timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,1,2],/noerase
hovmuller, 'ECMWF', 'rh300',    timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,1,2],/noerase
hovmuller, 'OLR', 'n.a',        timebox=[20060401L,20061031L], ubox=[-30.,+40.,-30.,45.], small=[2,1,1],/noerase
saveimage, fullfilename_out,/png
end
