; docformat = 'rst'
;+
;
; .. _paper01.pro:
;
; ===========
; paper01.pro
; ===========
;
; plot all figures for paper #1
;
;
; .. only:: man
;
;    Figure is visible on PDF and HTML documents only.
;
; .. only:: html or latex
;
;     .. graphviz::
;
;        digraph paper01 {
;
;           varamma_ref [shape=ellipse,fontname=Courier,label="cx.++.nc"];
;           olr_ref [shape=diamond,fontname=Courier,label="${PROJECT_ID}/olr.day.mean.nc"];
;
;           varamma_t1 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/cx.climato.nc"];
;           olr_t1 [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/olr.day.mean_yyyy_ng.nc"];
;
;           figures [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/figurexx.png"];
;
;           paper01_pre [shape=box,
;           fontname=Courier,
;           color=blue,
;           URL="http://forge.ipsl.jussieu.fr/varamma/browser/trunk/src/paper01_pre.sh"
;           label="${VARAMMA}/src/paper01_pre.sh"];
;           paper01 [shape=box,
;           fontname=Courier,
;           color=blue,
;           URL="http://forge.ipsl.jussieu.fr/varamma/browser/trunk/src/paper01.pro"
;           label="${VARAMMA}/src/paper01.pro"];
;
;           {varamma_ref} -> {paper01_pre} -> {varamma_t1}
;           {olr_ref} -> {paper01_pre} -> {olr_t1}
;           {varamma_t1} -> {paper01} -> {figures};
;           {olr_t1} -> {paper01} -> {figures};
;
;          }
;
;
; :Categories:
;
; :Uses:
;  :ref:`figure08.pro`
;  :ref:`figure09.pro`
;  :ref:`figure14.pro`
;
; :Restrictions:
;  - Requires SAXO
;
; :Pre:
;  :ref:`varamma_profile.sh`
;
;  :ref:`paper01_pre.sh`
;
; :Post:
;  :ref:`varamma_profile.sh`
;
; :Todo:
;
; :Examples:
;
; To produce PNG files :
;
; ::
;
;    paper01
;
; :History:
;
;  $Id: paper01.pro 270 2011-06-01 14:34:47Z pinsard $
;
; - fplod 20100702T081742Z aedon.locean-ipsl.upmc.fr (Darwin)
; 
;   * add graph (from varamma/notes/varamma_etape5.dot)
;
; - fplod 2008-08-14T16:46:37Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * 8, 9 et 14 ok (almost !)
;
; - fplod 2008-08-13T10:34:01Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * creation of header not yet ok, just the idea
;
;-
pro paper01, _EXTRA=extra
;
compile_opt idl2, strictarrsubs
;
; ++figure01
; ++figure02
; ++figure03
; ++figure04
; ++figure05
; ++figure06
; ++figure07
figure08
figure09
; ++figure10
; ++figure11
; ++figure12
; ++figure13
figure14
;
end
