;+
;
; .. _test_correc.pro:
;
; ===============
; test_correc.pro
; ===============
;
; DESCRIPTION
; ===========
;
; permet de comparer les fichiers pour chaque canal
;
; EXAMPLES
; ========
;
; ::
;
;   numch = 'a5'
;   test_correc, numch
;
; SEE ALSO
; ========
;
; :ref:`data_amsu`
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20111216T160346Z cratos (Linux)
;
;   * complete header
;
;-

PRO test_correc,numch
;
@cm_project
nomcanal=strmid(numch,0,1)
numcanal=0
reads, strmid(numch,1,1),numcanal,format='(i1.1)'

nbpix=30

path=project_id_env
; lecture des fichiers d'ajustement au nadir pour AMSUA et B
; cas amsua
if nomcanal eq 'a' then begin
   cor_landa=project_id_env+'AMSU/CORR_LAND_AMSUA_JUIL2006.DAT'
   cor_seaa=project_id_env+'AMSU/CORR_SEA_AMSUA_JUIL2006.DAT'
   ;cor_l=fltarr(npix)
   ;cor_s=fltarr(npix)
   openr, lun1,cor_landa, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
      endfor
   fova=indgen(nbpix)
   cor_l2006=a
   cor_lbis=interpol(a,nbpix,/lsquadratic)    ; normalement le dernier canal lu
   free_lun, lun1
   openr, lun1,cor_seaa, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   free_lun, lun1
   cor_s2006= a
   cor_sbis=interpol(a,nbpix,/lsquadratic)    ; normalement le dernier canal lu

   cor_landa=project_id_env+'AMSU/CORR_LAND_AMSUA.DAT'
   cor_seaa=project_id_env+'AMSU/CORR_SEA_AMSUA.DAT'
   cor_l=fltarr(nbpix)
   cor_s=fltarr(nbpix)
   openr, lun1,cor_landa, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   cor_lold=a    ; normalement le dernier canal lu
   free_lun, lun1
   openr, lun1,cor_seaa, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   free_lun, lun1
   cor_sold=a    ; normalement le dernier canal lu

endif

;cas amsub
if nomcanal eq 'b' then begin
   print,'canal',numch
   cor_landb=path+'AMSU/CORR_LAND_AMSUB_JUIL2006.DAT'
   cor_seab=path+'AMSU/CORR_SEA_AMSUB_JUIL2006.DAT'
   openr, lun1,cor_landb, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   cor_l2006=a
   free_lun, lun1
   openr, lun1,cor_seab, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30
      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   cor_s2006=a

   cor_landb=path+'AMSU/CORR_LAND_AMSUB.DAT'
   cor_seab=path+'AMSU/CORR_SEA_AMSUB.DAT'
    openr, lun1,cor_landb, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30

      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   cor_lold=a

   free_lun, lun1
   openr, lun1,cor_seab, /get_lun
   for i=0, numcanal-1 do begin
      readf, lun1, t1,t2,t3,t4,t5,$
             t6,t7,t8,t9,t10,$
             t11,t12,t13,t14,t15,$
             t16,t17,t18,t19,t20,$
             t21,t22,t23,t24,t25,$
             t26,t27,t28,t29,t30
      a=[t1,t2,t3,t4,t5,$
         t6,t7,t8,t9,t10,$
         t11,t12,t13,t14,t15,$
         t16,t17,t18,t19,t20,$
         t21,t22,t23,t24,t25,$
         t26,t27,t28,t29,t30]
   endfor
   cor_sold=a
endif
window,10
tek_color
plot, indgen(nbpix),cor_l2006,yrange=[-15,5],psym=2,color=0
oplot,indgen(nbpix),cor_lbis,psym=2,color=3
oplot,indgen(nbpix),cor_s2006,psym=4,color=0
oplot,indgen(nbpix),cor_sbis,psym=4,color=8

end
