function [result] = ticklatlon()

%TICKLATLON change le format des latitudes et longitudes sur les axes des
%images. Passage  la forme  E/W et  N/S  partir d'un nombre algbrique.

%
%+
%
% ============
% ticklatlon.m
% ============
%
% .. function:: ticklatlon()
%
% DESCRIPTION
% ===========
%
% Changement du format des latitudes et longitudes sur les axes des images.
% Passage  la forme  E/W et  N/S  partir d'un nombre algbrique.
%
% EXAMPLES
% ========
%
% Voir "demo".
%
% SEE ALSO
% ========
%
% TODO
% ====
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/varamma/svn/trunk/src/ticklatlon.m $
%
% - fplod 20110304T090146Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * fix rst header
%
% - jaclod 20110302
%
%   * Ajout de la doc et de la dmonstration
%
% - jaclod 20110225
%
%   * Cration
%
%-

result=-1;
usage='[result] = ticklatlon()';
if nargin~=nargin(mfilename)
   disp(['Incorrect number of input arguments ' num2str(nargin)]);
   error(usage)
end
%
if nargout ~= nargout(mfilename)
   disp(['Incorrect number of output arguments ' num2str(nargout)]);
   error(usage);
end
%
%%%%%%%%%%%%%
% Longitudes
%%%%%%%%%%%%%

xtick = get(gca,'xtick');
xtickstring = cell(1,size(xtick,2));

for i = 1 : size(xtick,2)

    if xtick(i) > 0;

        xtickstring{i} = [num2str(xtick(i)) 'E'];

    elseif xtick(i) < 0;

        xtickstring{i} = [num2str(abs(xtick(i))) 'W'];

    else

        xtickstring{i} = '0';

    end

end

set(gca,'xticklabel',xtickstring);

%%%%%%%%%%%%%


%%%%%%%%%%%%
% Latitudes
%%%%%%%%%%%%

ytick = get(gca,'ytick');
ytickstring = cell(1,size(xtick,2));

for i = 1 : size(ytick,2)

    if ytick(i) > 0;

        ytickstring{i} = [num2str(ytick(i)) 'N'];

    elseif ytick(i) < 0;

        ytickstring{i} = [num2str(abs(ytick(i))) 'S'];

    else

        ytickstring{i} = '0';

    end

end

set(gca,'yticklabel',ytickstring);

result=0;

end

%!demo
%! varamma_startup;
%! axis([-20 -10 10 20]);
%! xlabel('Longitudes');
%! ylabel('Latitudes');
%! result = ticklatlon();
