function mat_bouche=boucheNaN_3D(mat, mask)
%
%+
%
% ==============
% boucheNaN_3D.m
% ==============
%
% .. function:: boucheNaN_3D(mat, mask)
%
% DESCRIPTION
% ===========
%
% input : matrice mat(lat*lon*k)  et d''un masque
% output : matrice avec trous bouches sur les lat, lon
%
% bouchage des valeurs manquantes (hors masque) en moyennant les pixels du pourtour
%
% A appliquer plusieurs fois si les valeurs manquantes persistent
%
% EVOLUTIONS
% ==========
%
% $Id: affiche_EOF_PC_3D.m 126 2010-09-02 10:07:41Z pinsard $
%
% - fplod 20110705T125628Z cratos.locean-ipsl.upmc.fr (Linux)
%
%   * minimal header
%
%-
ti=size(mat,1);
tj=size(mat,2);
tk=size(mat,3);
     if(nargin<2)
     mask=ones(ti,tj);
end


mat_bouche=mat;
for(i=1:ti)
  for(j=1:tj)
    for(k=1:tk)
    if(isnan(mat(i,j,k))&mask(i,j)==1)
      zone=mat(max(1,i-1):min(i+1,ti),max(1,j-1):min(j+1,tj),k);
      mat_bouche(i,j,k)=meanNaN(zone(:));
    end
    end
  end
end
